export interface ScormWindow {
    [key: string]: any;
}
export declare type ApiCallFunctionType = (param?: string, value?: string) => void | string | number | boolean;
export declare class ScormWrapperService {
    private version;
    private API;
    private scormVersions;
    private win;
    setAPIVersion(scormVersion: string): string;
    readonly APIVersion: string;
    readonly isAvailable: boolean;
    readonly LMSIsInitialized: object;
    doLMSInitialize(): boolean;
    doLMSFinish(): boolean;
    doLMSGetValue(parameter: string): string | number | boolean | void;
    doLMSSetValue(parameter: string, value: string): boolean;
    doLMSCommit(): boolean;
    doLMSGetLastError(): string | number | boolean | void;
    doLMSGetErrorString(errorCode: number): string | number | boolean | void;
    doLMSGetDiagnostic(errorCode: number): string | number | boolean | void;
    ErrorHandler(): string | number | boolean | void;
    cmiBooleanToJs(value: number | string | boolean | void): boolean;
    getAPIHandle(): void;
    getAPICall(funcname12: string, funcname2004: string): ApiCallFunctionType;
    private findAPI(win);
}
